"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getData = void 0;
const dtData_1 = require("../data/table/dtData");
const inFrontOut_1 = require("../dataPackage/inFrontOut");
const out_1 = require("../dataPackage/out");
/*地图*/
function getData(req, res) {
    let excelData = dtData_1.dtTableData();
    let ret = {};
    let dtsjDataInfo;
    let shsxhzxPackageData = inFrontOut_1.onceYBarChartPackage(excelData['地图数据'], '', '');
    let dtsjData = out_1.getOnceYBarChartOut('地图数据', shsxhzxPackageData).chartList;
    let dtsjPackageData = [];
    for (let key in dtsjData) {
        let dtsjInfo = dtsjData[key].dataList;
        let jd;
        let wd;
        let teacherNum;
        let studentNum;
        let todayNum;
        let visitorNum;
        let Diagnosed;
        let asymptomatic;
        let closeContact;
        let nextCloseContact;
        dtsjInfo.forEach(info => {
            let { name, value, unit } = info;
            if (name == "经度") {
                jd = value;
            }
            else if (name == "纬度") {
                wd = value;
            }
            else {
                switch (name) {
                    case '教师总数':
                        teacherNum = value;
                        break;
                    case '学生数':
                        studentNum = value;
                        break;
                    case '当日通行人数':
                        todayNum = getMap(teacherNum, studentNum);
                        break;
                    case '今日访客数':
                        visitorNum = getMap(0, teacherNum);
                        break;
                    case '确诊':
                        Diagnosed = value;
                        break;
                    case '无症状':
                        asymptomatic = value;
                        break;
                    case '密接':
                        closeContact = value;
                        break;
                    case '次密接':
                        nextCloseContact = value;
                        break;
                }
            }
            dtsjDataInfo = {
                schoolName: dtsjData[key].thisChartTitle,
                longitude: jd,
                latitude: wd,
                count: {
                    teacherNum,
                    studentNum,
                    todayNum,
                    visitorNum,
                    Diagnosed,
                    asymptomatic,
                    closeContact,
                    nextCloseContact
                }
            };
        });
        dtsjPackageData.push(dtsjDataInfo);
    }
    ret['dtsj'] = { title: '地图数据', mapPosition: dtsjPackageData };
    let sycsPackageData = inFrontOut_1.keyValuePackage(excelData['涉疫场所'].dataList);
    ret['sycs'] = out_1.getKeyValueOut('涉疫场所', sycsPackageData);
    let wycsPackageData = inFrontOut_1.keyValuePackage(excelData['无疫场所'].dataList);
    ret['wycs'] = out_1.getKeyValueOut('无疫场所', wycsPackageData);
    res.send(ret);
}
exports.getData = getData;
function getMap(min, max) {
    let rangeNum = max - min;
    let randNum = Math.random();
    let num = min + Math.round(randNum * rangeNum);
    return num;
}
//# sourceMappingURL=dt.js.map