"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.yqcthzjTableData = void 0;
const planaryArrayAnalysis_1 = require("../../dataPackage/planaryArrayAnalysis");
const analysisExcel_1 = require("../../util/analysisExcel");
function packageDataProcess(blockDataList, titltListConfig, keyValueOrTitleList, barChartList, stringList, decollatePlanarList) {
    let result = {};
    for (let i = 0; i < blockDataList.length; i++) {
        let { blockData, blockTitle } = blockDataList[i];
        if (keyValueOrTitleList.indexOf(blockTitle) > -1) {
            let titleList = titltListConfig[blockTitle] || [];
            result[blockTitle] = planaryArrayAnalysis_1.planarArrForObjectList(blockData, 0, titleList);
        }
        else if (barChartList.indexOf(blockTitle) > -1) {
            result[blockTitle] = planaryArrayAnalysis_1.planarArrDeconstruct(blockData);
        }
        else if (stringList.indexOf(blockTitle) > -1)
            result[blockTitle] = planaryArrayAnalysis_1.planarArrForObjectList(blockData);
        else if (decollatePlanarList.indexOf(blockTitle) > -1)
            result[blockTitle] = planaryArrayAnalysis_1.planarArrDecollateForIndex(blockData);
    }
    return result;
}
function yqcthzjTableData() {
    let blockDataList = analysisExcel_1.onceSheetBecomeOfblockData('徐汇数据模板.xlsx', '疫情常态化中间');
    let keyValueOrTitleList = ["基础数据", "通行人次趋势（复工率）", "核酸检测", "抗原检测"]; //适配 饼图 键值以及需要多个key的
    let barChartList = ["当日通行人数"]; //适配 柱状图 折线图 
    let stringList = [];
    let decollatePlanarList = []; //适配 表格
    let titltListConfig = {};
    let result = packageDataProcess(blockDataList, titltListConfig, keyValueOrTitleList, barChartList, stringList, decollatePlanarList);
    return result;
}
exports.yqcthzjTableData = yqcthzjTableData;
//# sourceMappingURL=yqcthzjData.js.map