import { yqcthzjTableData } from '../data/table/yqcthzjData';
import { doubleYBarCharPackage, keyValuePackage, onceYBarChartPackage, rankPackage, tablePackage } from '../dataPackage/inFrontOut';
import { getDoubleYBarChartOut, getKeyValueOut, getOnceYBarChartOut, getTableOut } from '../dataPackage/out';

/*疫情常态化中间*/

export function getData(req, res) {
    let excelData = yqcthzjTableData();

    let ret:any = {};

    let jcsjPackageData = keyValuePackage(excelData['基础数据'].dataList);
    ret['jcsj'] = getKeyValueOut('基础数据', jcsjPackageData);
                    
    let hsjcTableData = keyValuePackage(excelData["核酸检测"].dataList);
    hsjcTableData.sort(function(a, b) {
        return b.value - a.value;
    });
    ret['hsjc'] = getKeyValueOut( '核酸检测>2天', hsjcTableData);
                    
    let kyjcTableData = keyValuePackage(excelData["抗原检测"].dataList);
    kyjcTableData.sort(function(a, b) {
        return b.value - a.value;
    });
    ret['kyjc'] = getKeyValueOut( '抗原检测>2天', kyjcTableData);
                    
    let thrcqsfglPackageData = keyValuePackage( excelData['通行人次趋势（复工率）'].dataList);
    ret['thrcqsfgl'] = getKeyValueOut('通行人次趋势（复工率）', thrcqsfglPackageData);
                    
    let drthrsPackageData = onceYBarChartPackage( excelData['当日通行人数'], '人','');
    ret['drthrs'] = getOnceYBarChartOut('当日通行人数', drthrsPackageData);
                     
    res.send(ret);
} 