import { yqcthzpTableData } from '../data/table/yqcthzpData';
import { doubleYBarCharPackage, keyValuePackage, onceYBarChartPackage, rankPackage, tablePackage } from '../dataPackage/inFrontOut';
import { getDoubleYBarChartOut, getKeyValueOut, getOnceYBarChartOut, getTableOut } from '../dataPackage/out';

/*疫情常态化左屏*/

export function getData(req, res) {
    let excelData = yqcthzpTableData();

    let ret:any = {};

    let yjsqsPackageData = onceYBarChartPackage( excelData['预警数趋势'], '次','');
    ret['yjsqs'] = getOnceYBarChartOut('预警数趋势', yjsqsPackageData);
                    
    let syqqyyfxPackageData = keyValuePackage(excelData['涉疫缺勤原因分析'].dataList);
    ret['syqqyyfx'] = getKeyValueOut('涉疫缺勤原因分析', syqqyyfxPackageData);
                    
    let yjryzbPackageData = keyValuePackage(excelData['预警人员占比'].dataList);
    ret['yjryzb'] = getKeyValueOut('预警人员占比', yjryzbPackageData);
                    

    let szsbPackageData = keyValuePackage(excelData['数字哨兵'].dataList);
    let zrtbData = [];
    let szsbData = [];
    szsbPackageData.forEach( info => {
        let {key, value, unit} = info;
        if (key == "昨日同比") {
            zrtbData.push(info);
        } else {
            szsbData.push(info);
        }
    })

    // ret['szsb'] = getKeyValueOut('数字哨兵', szsbPackageData);
    ret['szsb'] = getKeyValueOut('数字哨兵', szsbData);
    ret['zrtb'] = getKeyValueOut('昨日同比', zrtbData);
                    
    let drkqPackageData = keyValuePackage(excelData['当日考勤'].dataList);
    ret['drkq'] = getKeyValueOut('当日考勤', drkqPackageData);
                     
    res.send(ret);
} 