
import { changeListObjectToListByReflect, changeObjectKey, changeObjectToList, designativListKeyAddUnit, getDesignativByReflect } from "../../dataPackage/interfaceAnalysis";
import { BizError } from "../../util/bizError";
import { getInterfaceByInterfaceName } from "./cronJob";

        
function changeDataProcess(interfaceName, interfaceData, config) {
    let result = {};
    for (let dataName in config) {
        let { type, operationsType, reflect, unitInfo } = config[dataName];
        let fileData = interfaceData[dataName];
        let fileType = typeof fileData;
        let dataIsArray = Array.isArray(fileData);

        if ( (type == "array" && !dataIsArray) || (type == "object" && dataIsArray) || 
            (type == "object" && fileType != "object") || (type != "array" && fileType != type) ) {
            throw new BizError(`接口 ${interfaceName}中的${dataName}类型错误应该为 ${type} 现在为${fileType}`);
        }

        let onceData;
        switch (operationsType) {
            case "object_ToList": onceData= changeObjectToList(fileData, reflect); break;
            case "object_changeKey": onceData = changeObjectKey(fileData, reflect); break;
            case "list_changeKey": onceData = changeListObjectToListByReflect(fileData, reflect); break;
        }

        if (unitInfo) onceData = designativListKeyAddUnit(onceData, unitInfo);

        result[dataName] = onceData;
    }

    return result;
}


function yqcthypInterfaceData() {
    
    let yqcthypinterfaceName = "疫情常态化右屏";
    let yqcthypData:any = getInterfaceByInterfaceName(yqcthypinterfaceName);
            
    /*
     jrhssc = 今日核酸筛查 ;
     scslqsxs = 筛查数量趋势学生 ;
     scslqsls = 筛查数量趋势老师 ;
     scslqsqt = 筛查数量趋势其他 ;
     xxzbsyxx = 学校周边涉疫信息 ;
     syqqqk = 涉疫缺勤情况 ;
     syqqqk = 涉疫缺勤情况 //. *缩写重复了 请检查;
    
    */
    let config = {"jrhssc":{"type":"object","operationsType":"object_ToList","reflect":"","unitInfo":{}},"scslqsxs":{"type":"array","operationsType":"list_changeKey","reflect":"","unitInfo":{}},"scslqsls":{"type":"array","operationsType":"list_changeKey","reflect":"","unitInfo":{}},"scslqsqt":{"type":"array","operationsType":"list_changeKey","reflect":"","unitInfo":{}},"xxzbsyxx":{"type":"array","operationsType":"list_changeKey","reflect":"","unitInfo":{}},"syqqqk":{"type":"array","operationsType":"list_changeKey","reflect":"","unitInfo":{}}};

    let interfaceData = Object.assign({}, yqcthypData );
    let changeData = changeDataProcess('疫情常态化右屏', interfaceData, config);
    //todo 剩下的就是将excel定好的数据和interface的数据关联起来了

}
