
import { changeListObjectToListByReflect, changeObjectKey, changeObjectToList, designativListKeyAddUnit, getDesignativByReflect } from "../../dataPackage/interfaceAnalysis";
import { BizError } from "../../util/bizError";
import { getInterfaceByInterfaceName } from "./cronJob";

        
function changeDataProcess(interfaceName, interfaceData, config) {
    let result = {};
    for (let dataName in config) {
        let { type, operationsType, reflect, unitInfo } = config[dataName];
        let fileData = interfaceData[dataName];
        let fileType = typeof fileData;
        let dataIsArray = Array.isArray(fileData);

        if ( (type == "array" && !dataIsArray) || (type == "object" && dataIsArray) || 
            (type == "object" && fileType != "object") || (type != "array" && fileType != type) ) {
            throw new BizError(`接口 ${interfaceName}中的${dataName}类型错误应该为 ${type} 现在为${fileType}`);
        }

        let onceData;
        switch (operationsType) {
            case "object_ToList": onceData= changeObjectToList(fileData, reflect); break;
            case "object_changeKey": onceData = changeObjectKey(fileData, reflect); break;
            case "list_changeKey": onceData = changeListObjectToListByReflect(fileData, reflect); break;
        }

        if (unitInfo) onceData = designativListKeyAddUnit(onceData, unitInfo);

        result[dataName] = onceData;
    }

    return result;
}


function yqcthzjInterfaceData() {
    
    let yqcthzjinterfaceName = "疫情常态化中间";
    let yqcthzjData:any = getInterfaceByInterfaceName(yqcthzjinterfaceName);
            
    /*
     jcsj = 基础数据 ;
     hsjc = 核酸检测 ;
     kyjc = 抗原检测 ;
     drthrscz = 当日通行人数常驻 ;
     drthrsfk = 当日通行人数访客 ;
    
    */
    let config = {"jcsj":{"type":"object","operationsType":"object_ToList","reflect":"","unitInfo":{}},"hsjc":{"type":"array","operationsType":"list_changeKey","reflect":"","unitInfo":{}},"kyjc":{"type":"array","operationsType":"list_changeKey","reflect":"","unitInfo":{}},"drthrscz":{"type":"array","operationsType":"list_changeKey","reflect":"","unitInfo":{}},"drthrsfk":{"type":"array","operationsType":"list_changeKey","reflect":"","unitInfo":{}}};

    let interfaceData = Object.assign({}, yqcthzjData );
    let changeData = changeDataProcess('疫情常态化中间', interfaceData, config);
    //todo 剩下的就是将excel定好的数据和interface的数据关联起来了

}
